find_package(Boost COMPONENTS json REQUIRED)

add_executable(Controller
    main.cpp
    NngClient.h NngClient.cpp
)

include(FetchContent)

FetchContent_Declare(FTXUI
    GIT_REPOSITORY https://github.com/ArthurSonzogni/FTXUI
    GIT_TAG v6.1.8
)
FetchContent_MakeAvailable(FTXUI)

target_link_libraries(Controller
    PRIVATE Kylin::Core
    PRIVATE Kylin::Nng
    PRIVATE ftxui::screen
    PRIVATE ftxui::dom
    PRIVATE ftxui::component
    PRIVATE Boost::json
)